## node-inflected 2.1.0

=== Makefile ===
BIN = ./node_modules/.bin

install::
	@yarn install

test::
	@yarn test

build::
	@yarn build

clean::
	@rm -rf dist

release-patch:: clean test build
	@$(call release,patch)

release-minor:: clean test build
	@$(call release,minor)

release-major:: clean test build
	@$(call release,major)

publish::
	git push --tags origin HEAD:master
	npm publish

define release
	npm version $(1) -m 'Release v%s'
endef

=== debian/changelog ===
node-inflected (2.1.0-4) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Add forwarded info to patches
  * Remove dist in clean

  [ Debian Janitor ]
  * Trim trailing whitespace
  * Bump debhelper from old 11 to 12
  * Set upstream metadata fields: Bug-Submit
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright)
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * Add "Rules-Requires-Root: no"
  * Fix filenamemangle
  * Fix GitHub tags regex
  * /tags instead of /releases
  * Drop nodejs dependency

 -- Yadd <yadd@debian.org>  Sun, 12 Dec 2021 20:48:16 +0100

node-inflected (2.1.0-3) unstable; urgency=medium

  * Drop legacy node-resolve plugin usage

 -- Pirate Praveen <praveen@debian.org>  Wed, 30 Dec 2020 00:48:58 +0530

node-inflected (2.1.0-2) unstable; urgency=medium

  * Drop dependency on nodejs
  * Use dh-sequence-nodejs

 -- Pirate Praveen <praveen@debian.org>  Mon, 21 Dec 2020 15:55:20 +0530

node-inflected (2.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #977144)

 -- Pirate Praveen <praveen@debian.org>  Fri, 11 Dec 2020 23:13:41 +0530

=== debian/control ===
Source: node-inflected
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , rollup
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-buble
 , node-babel7
 , uglifyjs
 , mocha <!nocheck>
 , node-object-assign <!nocheck>
Standards-Version: 4.6.0
Homepage: https://github.com/martinandert/inflected#readme
Vcs-Git: https://salsa.debian.org/js-team/node-inflected.git
Vcs-Browser: https://salsa.debian.org/js-team/node-inflected
Rules-Requires-Root: no

Package: node-inflected
Architecture: all
Depends: ${misc:Depends}
Description: port of ActiveSupport's inflector to Node.js
 This library transforms words from singular to plural, class names to table
 names, modularized class names to ones without, and class names to foreign
 keys.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-inflected-$1/ \
 https://github.com/martinandert/inflected/tags .*/archive/.*/v?([\d\.]+).tar.gz
